<?php
session_start();

   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	  $lafecha=$_POST['fecha'];
	   $continua=$_POST['siguiente'];
	    $listacd=$_POST['listacentro'];
	    $listaor=$_POST['listaorden'];
	   
	              
     $qp = "select  month('$lafecha')+1, year('$lafecha')";
$cp = mysqli_query($conexion, $qp) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
                 while($rDG = mysqli_fetch_row($cp)) 
                     {
                $elmes = $rDG[0];
                $elano = $rDG[1];

               };
                   
         if($elmes==13){$elmes=1; $elano=$elano+1;}
	$total=0;
	if($continua==1){
		$q2 = "SELECT regs2.idreg, cd, fechap, inversionista.`rfc` as elrfc,inversionista.nombre as elnombre, appat, apmat, apagar,`impuestos`,`pagado`, fechaf, banco.nombre elbanco, pagos.nocuenta, folio, observaciones FROM `regs2` join inversionista on (inversionista.id_inver=regs2.id_inver) left join pagos on (regs2.idreg=pagos.idreg) left join banco on (banco.idbanco=pagos.idbanco) WHERE fechap between '$elano-$elmes-01' and '$elano-$elmes-31' and status>0 and status<7  ORDER BY $listacd $listaor";
	}else{
	  $q2 = "SELECT regs2.idreg, cd, fechap, inversionista.`rfc` as elrfc,inversionista.nombre as elnombre, appat, apmat, apagar,`impuestos`,`pagado`, fechaf, banco.nombre elbanco, pagos.nocuenta, folio, observaciones FROM `regs2` join inversionista on (inversionista.id_inver=regs2.id_inver) left join pagos on (regs2.idreg=pagos.idreg) left join banco on (banco.idbanco=pagos.idbanco) WHERE fechap between '$elano-$elmes-01' and '$elano-$elmes-31' and status>0 and status<7 ORDER BY cd ASC";
	}
  
  
  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
  echo"<center><font size=\"5\"><b>Regal&iacute;as Pagadas</b></font><br><br><form name=\"Agrega2\" action=\"regalias_pagadasn.php\" method=\"post\">
  Ordenar por:<select name = \"listacentro\"><option value=\"idreg\">ID Regalia</option>
  <option value=\"cd\">Centro Pago</option>
  <option value=\"fechap\">Fecha Generado</option>
  <option value=\"elrfc\">R.F.C.</option>
  <option value=\"elnombre\">Nombre</option>
  <option value=\"appat\">Apellido P.</option>
  <option value=\"apmat\">Apellido M.</option>
  <option value=\"pagado\">Cantidad Pagada</option>
  <option value=\"fechaf\">Fecha Pago</option>
  <option value=\"elbanco\">Banco</option></select>
  Orden: <select name = \"listaorden\"><option value=\"ASC\">Ascendente</option><option value=\"DESC\">Descendente</option></select>
  <input type=hidden name=fecha value=\"$lafecha\" />
  <input type=hidden name=siguiente value=\"1\" />
  <input type=\"submit\" name=\"lista2\"  value=\"Continuar\" />
  
  
  
  </form>
							<table border=\"1\"> <tr>
			<th>Id Reg</th><th>Centro</th><th>Fecha</th><th>R.F.C.</th><th>Nombre Completo</th><th>Generadas</th><th>Impuestos</th><th>Pagado</th><th>Fecha Pago</th><th>Banco</th><th>Cuenta</th>
			<th>Folio</th><th>Observaciones</th>
			</tr>";
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $a4 = $r1[4];
	   $a5 = $r1[5];
	   $a6 = $r1[6];
	   $a7 = $r1[7];
	   $a8 = $r1[8];
	   $a9 = $r1[9];
	   $a10 = $r1[10];
	   $a11 = $r1[11];
	   $a12 = $r1[12];
	   $a13 = $r1[13];
	   $a14 = $r1[14];
	  $total+=$a9;
	  
	  
echo"<tr><td>$a0</td><td>$a1</td><td>$a2</td><td>$a3</td>
<td>$a4 $a5 $a6</td><td>$ $a7</td><td>$ $a8</td><td>$ $a9</td><td>$a10</td><td>$a11</td><td>$a12</td><td>$a13</td><td>$a14</td></tr>";
	}
	echo"</table><br>El total de Regal&iacute;as pagadas es de <b>$ $total</b>";
	
  
  
  
?>